GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
geos::geom::Dimension Class Reference

Constants representing the dimensions of a point, a curve and a surface. More...

`#include <Dimension.h>`

## Public Types
enum | DimensionType { DONTCARE =-3, True =-2, False =-1, P =0, L =1, A =2 }

## Static Public Member Functions
static char | toDimensionSymbol (int dimensionValue)
static int | toDimensionValue (char dimensionSymbol)

## Detailed Description

Constants representing the dimensions of a point, a curve and a surface.

Also, constants representing the dimensions of the empty geometry and non-empty geometries, and a wildcard dimension meaning "any dimension".

## Member Enumeration Documentation

enum geos::geom::Dimension::DimensionType

Enumerator:

  DONTCARE | Dimension value for any dimension (= {FALSE, TRUE}).
  True | Dimension value of non-empty geometries (= {P, L, A}).
  False | Dimension value of the empty geometry (-1).
  P | Dimension value of a point (0).
  L | Dimension value of a curve (1).
  A | Dimension value of a surface (2).

The documentation for this class was generated from the following file:

- Dimension.h